## appwatch 0.56-1

=== src/Makefile ===
#############################################################################
# Makefile for building: appwatch
# Generated by qmake (2.01a) (Qt 4.6.0) on: Sun Dec 20 13:26:27 2009
# Project:  src.pro
# Template: app
# Command: /opt/qtsdk-2009.05/qt/bin/qmake -spec /opt/qtsdk-2009.05/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/local/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/opt/qtsdk-2009.05/qt/mkspecs/linux-g++-64 -I. -I/opt/qtsdk-2009.05/qt/include/QtCore -I/opt/qtsdk-2009.05/qt/include/QtNetwork -I/opt/qtsdk-2009.05/qt/include/QtGui -I/opt/qtsdk-2009.05/qt/include -I/opt/qtsdk-2009.05/qt/include/QtDBus -I. -I.
LINK          = g++
LFLAGS        = -m64 -Wl,-O1 -Wl,-rpath,/opt/qtsdk-2009.05/qt/lib
LIBS          = $(SUBLIBS)  -L/opt/qtsdk-2009.05/qt/lib -lQtDBus -L/opt/qtsdk-2009.05/qt/lib -lQtXml -lQtGui -L/usr/X11R6/lib64 -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qtsdk-2009.05/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		repostat.cpp \
		repochooser.cpp \
		repohist.cpp \
		appdetails.cpp \
		fremantlerepochooser.cpp \
		rangepicker.cpp \
		appcontext.cpp \
		appforecast.cpp \
		hotapps.cpp moc_mainwindow.cpp \
		moc_repostat.cpp \
		moc_repochooser.cpp \
		moc_repohist.cpp \
		moc_appdetails.cpp \
		moc_fremantlerepochooser.cpp \
		moc_rangepicker.cpp \
		moc_appcontext.cpp \
		moc_appforecast.cpp \
		moc_hotapps.cpp
OBJECTS       = main.o \
		mainwindow.o \
		repostat.o \
		repochooser.o \
		repohist.o \
		appdetails.o \
		fremantlerepochooser.o \
		rangepicker.o \
		appcontext.o \
		appforecast.o \
		hotapps.o \
		moc_mainwindow.o \
		moc_repostat.o \
		moc_repochooser.o \
		moc_repohist.o \
		moc_appdetails.o \
		moc_fremantlerepochooser.o \
		moc_rangepicker.o \
		moc_appcontext.o \
		moc_appforecast.o \
		moc_hotapps.o
DIST          = /opt/qtsdk-2009.05/qt/mkspecs/common/g++.conf \
		/opt/qtsdk-2009.05/qt/mkspecs/common/unix.conf \
		/opt/qtsdk-2009.05/qt/mkspecs/common/linux.conf \
		/opt/qtsdk-2009.05/qt/mkspecs/qconfig.pri \
		/opt/qtsdk-2009.05/qt/mkspecs/features/qt_functions.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/qt_config.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/exclusive_builds.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/default_pre.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/release.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/default_post.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/qdbus.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/moc.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/dbusinterfaces.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/dbusadaptors.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/warn_on.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/qt.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/unix/thread.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/resources.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/uic.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/yacc.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/lex.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = appwatch
DESTDIR       = 
TARGET        = appwatch

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_repostat.h ui_repochooser.h ui_applist.h ui_appdetails.h ui_fremantlerepochooser.h ui_rangepicker.h ui_applistitem.h ui_appcontext.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /opt/qtsdk-2009.05/qt/mkspecs/linux-g++-64/qmake.conf /opt/qtsdk-2009.05/qt/mkspecs/common/g++.conf \
		/opt/qtsdk-2009.05/qt/mkspecs/common/unix.conf \
		/opt/qtsdk-2009.05/qt/mkspecs/common/linux.conf \
		/opt/qtsdk-2009.05/qt/mkspecs/qconfig.pri \
		/opt/qtsdk-2009.05/qt/mkspecs/features/qt_functions.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/qt_config.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/exclusive_builds.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/default_pre.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/release.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/default_post.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/qdbus.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/moc.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/dbusinterfaces.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/dbusadaptors.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/warn_on.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/qt.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/unix/thread.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/resources.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/uic.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/yacc.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/lex.prf \
		/opt/qtsdk-2009.05/qt/mkspecs/features/include_source_dir.prf \
		/opt/qtsdk-2009.05/qt/lib/libQtDBus.prl \
		/opt/qtsdk-2009.05/qt/lib/libQtXml.prl \
		/opt/qtsdk-2009.05/qt/lib/libQtCore.prl \
		/opt/qtsdk-2009.05/qt/lib/libQtGui.prl \
		/opt/qtsdk-2009.05/qt/lib/libQtNetwork.prl
	$(QMAKE) -spec /opt/qtsdk-2009.05/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile src.pro
/opt/qtsdk-2009.05/qt/mkspecs/common/g++.conf:
/opt/qtsdk-2009.05/qt/mkspecs/common/unix.conf:
/opt/qtsdk-2009.05/qt/mkspecs/common/linux.conf:
/opt/qtsdk-2009.05/qt/mkspecs/qconfig.pri:
/opt/qtsdk-2009.05/qt/mkspecs/features/qt_functions.prf:
/opt/qtsdk-2009.05/qt/mkspecs/features/qt_config.prf:
/opt/qtsdk-2009.05/qt/mkspecs/features/exclusive_builds.prf:
/opt/qtsdk-2009.05/qt/mkspecs/features/default_pre.prf:
/opt/qtsdk-2009.05/qt/mkspecs/features/release.prf:
/opt/qtsdk-2009.05/qt/mkspecs/features/default_post.prf:
/opt/qtsdk-2009.05/qt/mkspecs/features/qdbus.prf:
/opt/qtsdk-2009.05/qt/mkspecs/features/moc.prf:
/opt/qtsdk-2009.05/qt/mkspecs/features/dbusinterfaces.prf:
/opt/qtsdk-2009.05/qt/mkspecs/features/dbusadaptors.prf:
/opt/qtsdk-2009.05/qt/mkspecs/features/warn_on.prf:
/opt/qtsdk-2009.05/qt/mkspecs/features/qt.prf:
/opt/qtsdk-2009.05/qt/mkspecs/features/unix/thread.prf:
/opt/qtsdk-2009.05/qt/mkspecs/features/resources.prf:
/opt/qtsdk-2009.05/qt/mkspecs/features/uic.prf:
/opt/qtsdk-2009.05/qt/mkspecs/features/yacc.prf:
/opt/qtsdk-2009.05/qt/mkspecs/features/lex.prf:
/opt/qtsdk-2009.05/qt/mkspecs/features/include_source_dir.prf:
/opt/qtsdk-2009.05/qt/lib/libQtDBus.prl:
/opt/qtsdk-2009.05/qt/lib/libQtXml.prl:
/opt/qtsdk-2009.05/qt/lib/libQtCore.prl:
/opt/qtsdk-2009.05/qt/lib/libQtGui.prl:
/opt/qtsdk-2009.05/qt/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -spec /opt/qtsdk-2009.05/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/appwatch1.0.0 || $(MKDIR) .tmp/appwatch1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/appwatch1.0.0/ && $(COPY_FILE) --parents mainwindow.h repostat.h repochooser.h repohist.h appdetails.h fremantlerepochooser.h ui_applist.h rangepicker.h appcontext.h appforecast.h hotapps.h .tmp/appwatch1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp repostat.cpp repochooser.cpp repohist.cpp appdetails.cpp fremantlerepochooser.cpp rangepicker.cpp appcontext.cpp appforecast.cpp hotapps.cpp .tmp/appwatch1.0.0/ && $(COPY_FILE) --parents mainwindow.ui repostat.ui repochooser.ui applist.ui appdetails.ui fremantlerepochooser.ui rangepicker.ui applistitem.ui appcontext.ui .tmp/appwatch1.0.0/ && (cd `dirname .tmp/appwatch1.0.0` && $(TAR) appwatch1.0.0.tar appwatch1.0.0 && $(COMPRESS) appwatch1.0.0.tar) && $(MOVE) `dirname .tmp/appwatch1.0.0`/appwatch1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/appwatch1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_repostat.cpp moc_repochooser.cpp moc_repohist.cpp moc_appdetails.cpp moc_fremantlerepochooser.cpp moc_rangepicker.cpp moc_appcontext.cpp moc_appforecast.cpp moc_hotapps.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_repostat.cpp moc_repochooser.cpp moc_repohist.cpp moc_appdetails.cpp moc_fremantlerepochooser.cpp moc_rangepicker.cpp moc_appcontext.cpp moc_appforecast.cpp moc_hotapps.cpp
moc_mainwindow.cpp: ui_mainwindow.h \
		mainwindow.h
	/opt/qtsdk-2009.05/qt/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_repostat.cpp: ui_repostat.h \
		repostat.h
	/opt/qtsdk-2009.05/qt/bin/moc $(DEFINES) $(INCPATH) repostat.h -o moc_repostat.cpp

moc_repochooser.cpp: repochooser.h
	/opt/qtsdk-2009.05/qt/bin/moc $(DEFINES) $(INCPATH) repochooser.h -o moc_repochooser.cpp

moc_repohist.cpp: ui_applist.h \
		repohist.h
	/opt/qtsdk-2009.05/qt/bin/moc $(DEFINES) $(INCPATH) repohist.h -o moc_repohist.cpp

moc_appdetails.cpp: appdetails.h
	/opt/qtsdk-2009.05/qt/bin/moc $(DEFINES) $(INCPATH) appdetails.h -o moc_appdetails.cpp

moc_fremantlerepochooser.cpp: fremantlerepochooser.h
	/opt/qtsdk-2009.05/qt/bin/moc $(DEFINES) $(INCPATH) fremantlerepochooser.h -o moc_fremantlerepochooser.cpp

moc_rangepicker.cpp: rangepicker.h
	/opt/qtsdk-2009.05/qt/bin/moc $(DEFINES) $(INCPATH) rangepicker.h -o moc_rangepicker.cpp

moc_appcontext.cpp: appcontext.h
	/opt/qtsdk-2009.05/qt/bin/moc $(DEFINES) $(INCPATH) appcontext.h -o moc_appcontext.cpp

moc_appforecast.cpp: ui_applist.h \
		appforecast.h
	/opt/qtsdk-2009.05/qt/bin/moc $(DEFINES) $(INCPATH) appforecast.h -o moc_appforecast.cpp

moc_hotapps.cpp: ui_applist.h \
		hotapps.h
	/opt/qtsdk-2009.05/qt/bin/moc $(DEFINES) $(INCPATH) hotapps.h -o moc_hotapps.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all: ui_mainwindow.h ui_repostat.h ui_repochooser.h ui_applist.h ui_appdetails.h ui_fremantlerepochooser.h ui_rangepicker.h ui_applistitem.h ui_appcontext.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h ui_repostat.h ui_repochooser.h ui_applist.h ui_appdetails.h ui_fremantlerepochooser.h ui_rangepicker.h ui_applistitem.h ui_appcontext.h
ui_mainwindow.h: mainwindow.ui
	/opt/qtsdk-2009.05/qt/bin/uic mainwindow.ui -o ui_mainwindow.h

ui_repostat.h: repostat.ui
	/opt/qtsdk-2009.05/qt/bin/uic repostat.ui -o ui_repostat.h

=== debian/changelog ===
appwatch (0.56-1) unstable; urgency=low

  * Initial release

 -- Attila Csipa <maemo@csipa.in.rs>  Sat, 19 Dec 2009 13:21:54 +0100

=== debian/control ===
Source: appwatch
Section: user/desktop
Priority: extra
Maintainer: Attila Csipa <maemo@csipa.in.rs>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5.0)
Standards-Version: 3.8.0
Homepage: downloads.maemo.org

Package: appwatch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Track new applications and repository activity
 AppWatch is a Qt based application which allows for easier tracking
 of repository activities, namely:
 .
 * Repository history - list of applications being added, updated
   or removed from various repositories (even those not enabled
   by the user, e.g. testing and devel)
 * Hot Apps - list applications by download activity last week
 * App Forecast - show applications currently in QA, in order of
   expected arrival to Extras
 * App Stats - download graph of particular applications
 * Show a graph with the number of apps in repositories
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/AP+g
 vaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1gURDQoYya0JlwAAAU9J 
 REFUSMftlL1KA0EUhb/NZl/ggnHQxsJUxt5CUucVJCCkDfgyKdIGG5/A0s5HEBtJ
 EdDAQGBgmw0YJmMzgXXYza5CtNkDW9zZw5z7c+ZCgwb/Ai3i9sVl/Bq8RIs4LRK1 
 gJDsKvJyNXmJMuYTsMoY1zpgozaABdYArQNPZQ1kfyGU7SpqVwxzAMwABWhgpIwp
 4vWBB+AUWAI3ypjnfEXtPU4bLKx9vErTeCeiRSYF+fTn1j5dp2myE9EiU+DSi3wX 
 ymeqRQAmZ3EcA5E/fgO6BULT8zhOcrwXoJdrXRa2Lgps2y2odAUcBUIXQdz78YyC
 SldAp8b7+bXrIv91qjZBietqCc2DjbAt4b2WxJkyZljVujlwp0U0cPxuLcAIuC+4 
 dKxFlsDJarvdAGP/b6hFnDImYs+uG3hbO2AB3Jbsur63tQM+fFx3bzZocEB8AdV2
 gJBZgKTwAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := appwatch
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
